# Get a workflow

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/workflows/{workflow_id}`

Retrieve details of a specific workflow.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `workflow_id` | path | string | yes | The workflow's ID (`wf_...`), or its `code`. |
| `expand` | query | string | no | Fields to expand |

## Responses

### 200: Workflow details

```json
{
  "workflow": {
    "id": "string",
    "name": "string",
    "status": "ACTIVE",
    "created": "2026-01-01T12:00:00Z",
    "updated": "2026-01-01T12:00:00Z",
    "v": 0
  }
}
```

### 401: Unauthorised: the API key is missing or not valid

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Workflow not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/workflows/WORKFLOW_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getworkflow/